Exception in 2.3.1 undefined method `&' for "0":String in app/models/tracker.rb (with possible fix)

2013-05-17 10:35 - c pg

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 2.3.1

Description

just updated to ruby 1.9.3 and 2.3.1. Started getting a few exceptions.

Here is one:

ActionView::Template::Error (undefined method `&' for "0":String):

    36:   rows.left l(:field_status), h(@issue.status.name), :class => 'status'

    37:   rows.left l(:field_priority), h(@issue.priority.name), :class => 'priority'

    38:

    39:   unless @issue.disabled_core_fields.include?('assigned_to_id')

    40:     rows.left l(:field_assigned_to), avatar(@issue.assigned_to, :size => "14").to_s.html_s

afe + (@issue.assigned_to ? link_to_user(@issue.assigned_to) : "-"), :class => 'assigned-to'

    41:   end

    42:   unless @issue.disabled_core_fields.include?('category_id')

  app/models/tracker.rb:72:in `block in disabled_core_fields'

  app/models/tracker.rb:72:in `select'

  app/models/tracker.rb:72:in `disabled_core_fields'

  app/models/issue.rb:460:in `disabled_core_fields'

  app/views/issues/show.html.erb:39:in `block in _app_views_issues_show_html_erb___368967065164718

7124_55351200'

  app/helpers/issues_helper.rb:144:in `issue_fields_rows'

 what i did with some minimal guesswork, and seems to (maybe) work, is:

-    @disabled_core_fields ||= CORE_FIELDS.select { i += 1; (fields_bits || 0) & (2 ** i) != 0}

+    @disabled_core_fields ||= CORE_FIELDS.select { i += 1; (fields_bits.to_i || 0) & (2 ** i) != 

0}

 i did not see this reported and i do not think i missed anything in upgrading.

also, i did not see this fixed in this area of the code (though it may be fixed somewhere else, course).

i am running this on an instance on my Amahi server.

History

#1 - 2013-05-17 12:15 - Etienne Massip

- Category set to Issues

#2 - 2013-05-17 20:23 - Jean-Philippe Lang

- Resolution set to Cant reproduce

Works for me. The fields_bits column is numeric, and .to_i should not be needed.

#3 - 2013-05-21 02:50 - c pg

- Status changed from New to Resolved

reinstalled the sources from git and i am not getting this any more. strange. closing.

2025-05-04 1/2



#4 - 2013-05-21 03:06 - Toshi MARUYAMA

- Status changed from Resolved to Closed

Thank you for your feedback.
